function [string,ixc]=updateriftsfriction(md,ixc,dvar)

string=sprintf('\n');
for j=1:length(dvar)
	if strncmpi(dvar(j).descriptor,'riftsfriction',13)
        ixc=ixc+1;
		irift=sscanf(dvar(j).descriptor(14:end),'%d');
        if strcmpi(md.analysis_driver,'matlab')
            string=[string sprintf('\tmd.rifts(%d).friction=Dakota.xC(%d);\n',irift,ixc)];
        else
            string=[string sprintf('\tmd.rifts(%d).friction={%s};\n',irift,dvar(j).descriptor)];
        end
	end
end
string=[string sprintf('\n')];

end
